Subject: Re: [v4v6interim] [BEHAVE] [46translation] Proposal for new BEHAVE charter
From: Cullen Jennings <[email-masked]>
To: Pekka Savola <[email-masked]>
Cc: [email-masked], 46Translation <[email-masked]>, Behave WG <[email-masked]>
Date: Fri, 24 Oct 2008 09:44:33 -0600
List-Id: Discussion of coexistence topics for the 01-Oct-2008 v4-v6 coexistence interim meeting <v4v6interim.ietf.org>

On Oct 24, 2008, at 3:20 AM, Pekka Savola wrote:

> On Thu, 23 Oct 2008, Mark Townsley wrote:
>>> If #2 does not remind you of how we got into so much trouble  
>>> nat44, well
>>> it should. Because of the impact on NAT66 on applications, if IETF  
>>> does
>>> decide to do NAT66 specifications, I think it is very important  
>>> that the
>>> specification is developed not only in the context of v6ops people  
>>> but is
>>> also developed with input of folks from applications that need to  
>>> use it.
>>> Today that would roughly mean behave.
>>
>> I think that something that operates only at the IP layer could  
>> stay in the int-area.
>
> But it doesn't; a 1:1 NAT66 would break every app (FTP, SIP, etc.)  
> that's broken today with NAT4 (with or without port translation)  
> unless the NAT has ALGs.  To implement such ALGs, NAT66 would need  
> to operate beyond the IP layer.

My SIP phone has worked fine behind a NAT with no SIP ALG for several  
years now and so do my FTP sessions. Let me reiterate that is a NAT  
with no SIP or FTP ALG.  Sure it was a nightmare, and continues to be  
a nightmare, for applications to be designed to work behind NATs but  
that is how applications are designed for today. I wish it was not  
this way but it is. The whole point of BEHAVE was to make that  
slightly better by providing guidance for NATs that allowed  
applications to make reasonable assumptions about what type of NAT  
environment they might have to work behind. 
_______________________________________________
v4v6interim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v4v6interim